# NiceWeatherPack

## Installation

  1. Install a mod manager that can automatically install dependencies **AND** handle modpacks (packages that include a `.modpack` file) installation. (Ebkr's excellent [r2modman](https://thunderstore.io/package/ebkr/r2modman/) is the **ONLY** manager that I know of that currently supports both of these. Using another manager might result in version mismatch and multiplayer issues.)

  2. Install the **NiceWeatherPack** "mod" to automatically install all of the mods and configure them.
      - With r2modman, simply install the program, create a new profile, click the **Online** section, and search for **NiceWeatherPack**. Then click **Download**.

  3. Click **Play Modded**.

## Updating

  1. Select the **NiceWeatherPack** entry in r2modman and click **Update**.

  2. Check the **Changelog** section at the bottom of this page for a quick rundown of what's different. If there are any mods that have been removed, please manually uninstall them to prevent issues or create a new profile and follow the installation instructions again.

## Overview

Contains mods that are aimed to make quality of life (QoL) adjustments, add new characters, and increase multiplayer-friendliness; it does not stray too far from vanilla mechanics.

This mod pack was made to play with a group of my friends, but feel free to use it. Also, feel free to use this pack as a baseline to make your own modpack.

**All the credit for making these mods go to their actual authors** (aka not me). Support the authors by going to their mod's page and giving it a like.
Quick rundown of what makes up a modpack:

- The `manifest.json` file determines what mods and versions of those mods are in your modpack
- The `icon.png` determines the cover image of your modpack
- The `config` directory holds all the configuration files for your mods
- The `.modpack` is a file that signifies that this "mod" you are uploading to **thunderstore.io** is a modpack
- The `README.md` holds information you think the users of this modpack should know

## Change log

### 0.1.7

- updated mods within the pack to latest versions
- added to the modpack description
- added:

	- ForceItemsEqualShare
	- RespawnAfterBoss
	- Tracer
	- Gunslinger

### 0.1.6

- updated mods within the pack to latest versions
- added:

	- RoR2TeamPVP

### 0.1.5

- updated mods within the pack to latest versions

### 0.1.4

- updated mods within the pack to latest versions
- removed:

	- DPSMeter
	- BetterCommandMenu
	- StatDisplayPlus

- added:

	- BetterUI

### 0.1.3

- updated mods within the pack to latest versions
- added:

	- KookehsDropItem (BepInEx & R2API port)

### 0.1.2

- updated mods within the pack to latest versions

### 0.1.1

- updated mods within the pack to latest versions

### 0.1.0

- updated mods within the pack to latest versions
- added:

	- DropGoldOnDeath

### 0.0.9

- categorized as a modpack using thunderstore's new `categories` tag

### 0.0.8

- added more stuff to the `README.md`
- updated mods within the pack to latest versions
- added:

	- ProperSave

### 0.0.7

- another changelog reformat

### 0.0.6

- reformatting changelog again

### 0.0.5

- reformatted changelog
- re-ordered the dependency list inside ```manifest.json``` to be in alphabetical order according to author name
- updated mods within the pack to latest versions

### 0.0.4

- updated existing mods for RoR2 V1.0.1.1
- Added:

    - StatDisplayPlus
    - Vegeta
    - BanditReloaded
	
- Removed:

    - TruePause
    - RyanSkinAPI
    - RoRCheats

### 0.0.3

- Added more mods:

    - ItemExchangeNotifier
    - DPSMeter
    - TeleporterShow
    - WaxQuailMultiJump
    - Hypercrit
    - StartInBazaar
    - BetterCommandMenu
    - TruePause

### 0.0.2

- Testing modpack update on thunderstore, no actual changes

### 0.0.1

- modpack created, contains:

    - R2API
    - BepInExPack
    - MiniRpcLib
    - RyanSkinAPI
    - ItemStatsMod
    - LunarCoinShareOnPickup
    - TooManyFriends
    - PlayableSora
    - RoRCheats
    - EmptyChestsBeGone
    - Sniper
    - KingModUtilities
    - Goku
    - DropinMultiplayer